"Convert map to raster" algorithm does not export with transparent background despite the option
Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27690

Description

In the "convert map to raster" alg, i'd have thought it would export the map with the background color set in project properties --> General

(say "red" for example), and when the transparency is on, that background becomes transparent. But in both cases, it exports with a white

background, rgb in one case, rgba in the second (with a=255).

some light discussion at https://github.com/qgis/QGIS-Documentation/pull/2977#discussion_r216200517

Associated revisions

Revision 8919d604 - 2019-01-25 12:06 AM - Alexander Bruy

[processing] use background color from the project settings in the rasterize algorithm (fix #19866)

Revision 42c7712b - 2019-01-25 01:34 PM - Alexander Bruy

[processing] use background color from the project settings in the rasterize algorithm (fix #19866)

(cherry picked from commit 8919d604a897c7afe542922bdfc6a7f901fd2d10)

History

#1 - 2019-01-24 04:57 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/8965

#2 - 2019-01-25 12:05 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|8919d604a897c7afe542922bdfc6a7f901fd2d10.

#3 - 2019-01-25 07:08 AM - Alexander Bruy

- Resolution set to fixed/implemented
